summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorAaron Walker <ka0ttic@gentoo.org>2004-10-31 12:59:10 +0000
committerAaron Walker <ka0ttic@gentoo.org>2004-10-31 12:59:10 +0000
commit2162f6fecdcdd31f0316f855b270f77c1b6adc83 (patch)
tree768fdc92f69f87f31693dc0b804b61d8a25f038f /eclass
parentAdded a patch to the configure script to honor the "arts" USE flag. Fixes bug... (diff)
downloadgentoo-2-2162f6fecdcdd31f0316f855b270f77c1b6adc83.tar.gz
gentoo-2-2162f6fecdcdd31f0316f855b270f77c1b6adc83.tar.bz2
gentoo-2-2162f6fecdcdd31f0316f855b270f77c1b6adc83.zip
die if newins fails
Diffstat (limited to 'eclass')
-rw-r--r--eclass/bash-completion.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/bash-completion.eclass b/eclass/bash-completion.eclass
index aa41209febea..95758eb2d47d 100644
--- a/eclass/bash-completion.eclass
+++ b/eclass/bash-completion.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/bash-completion.eclass,v 1.3 2004/10/30 23:13:44 ka0ttic Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/bash-completion.eclass,v 1.4 2004/10/31 12:59:10 ka0ttic Exp $
#
# Simple eclass that provides an interface for installing
# contributed (ie not included in bash-completion proper)
@@ -27,6 +27,6 @@ dobashcompletion() {
[ -z "$1" ] && die "usage: dobashcompletion <file> <new file>"
if useq bash-completion ; then
insinto /usr/share/bash-completion
- newins "$1" "${2:-${1##*/}}"
+ newins "$1" "${2:-${1##*/}}" || die "Failed to install $1"
fi
}